Drupal Protected Node模块脚本注入漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1183516 漏洞类型 跨站脚本
发布时间 2009-02-27 更新时间 2009-03-10
CVE编号 CVE-2009-0817 CNNVD-ID CNNVD-200903-098
漏洞平台 N/A CVSS评分 3.5
|漏洞来源
https://www.securityfocus.com/bid/33936
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-200903-098
|漏洞详情
Drupal的ProtectedNode模块可通过口令限制对节点的访问。protected_node.module模块的protected_node_enterpassword()函数没有正确地过滤用户提供输入,272到274行使用以下语句显示出用户提供的文本:$form['protected_node']=array('#value'=>$info);由于没有使用check_plain()或类似的函数过滤$info变量,当q设置为admin/settings/protected_node的时候远程攻击者就可以通过提交恶意请求注入任意HTML和脚本代码,并在用户查看认证页面的时候执行注入的代码。
|受影响的产品
Drupal Protected node 5.x -1.3
|参考资料

来源:VUPEN
名称:ADV-2009-0572
链接:http://www.vupen.com/english/advisories/2009/0572
来源:drupal.org
链接:http://drupal.org/node/386606
来源:drupal.org
链接:http://drupal.org/node/386604
来源:XF
名称:protectednode-passwordpage-xss(48980)
链接:http://xforce.iss.net/xforce/xfdb/48980
来源:SECUNIA
名称:34060
链接:http://secunia.com/advisories/34060
来源:OSVDB
名称:52300
链接:http://osvdb.org/52300
来源:MISC
链接:http://lampsecurity.org/node/28
来源:CONFIRM
链接:http://drupal.org/node/385950